CREATE TABLE cso_privilege (
    DATE_ADDED          TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED       TIMESTAMP(6)      NOT NULL,
    LOOKUP_CODE_ID      VARCHAR2(128)     NOT NULL,
    RECORD_ID           VARCHAR2(128) ,
    SYSTEM_VALUE        VARCHAR2(400) ,
    CREATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY     VARCHAR2(256)     NOT NULL,
    SEED_DATA_SOURCE    VARCHAR2(2048),
    ORA_SEED_SET1       VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2       VARCHAR2(4)       NOT NULL,
    DATE_ADDED          TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED       TIMESTAMP(6)      NOT NULL,
    LOOKUP_CODE_ID      VARCHAR2(128)     NOT NULL,
    RECORD_ID           VARCHAR2(128) ,
    SYSTEM_VALUE        VARCHAR2(400) ,
    SEED_DATA_SOURCE    VARCHAR2(2048),
    CREATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY     VARCHAR2(256)     NOT NULL,
    ORA_SEED_SET1       VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2       VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cso_privilege PRIMARY KEY (RECORD_ID, RECORD_ID)
);
